diff --git a/buildArchGnome.sh b/buildArchGnome.sh
index 0d2fba4..96e6f3d 100755
--- a/buildArchGnome.sh
+++ b/buildArchGnome.sh
@@ -91,38 +91,38 @@ chroot "$rootdir" locale-gen
echo "LANG=en_US.UTF-8" > "$rootdir/etc/locale.conf"
# +++ Rotate user desktop and gdm
-log "Configuring gdm and gnome"
-mkdir -p "$rootdir/etc/skel/.config"
-echo '
-
-
- 0
- 0
- 2
- yes
-
- right
- no
-
-
-
- DSI-1
- unknown
- unknown
- unknown
-
-
- 1600
- 2560
- 104.000
-
-
-
-
-
-' > "$rootdir/etc/skel/.config/monitors.xml"
-chroot "$rootdir" bash -c 'cp /etc/skel/.config/monitors.xml ~gdm/.config/'
-chroot "$rootdir" bash -c 'chown gdm: ~gdm/.config/'
+#log "Configuring gdm and gnome"
+#mkdir -p "$rootdir/etc/skel/.config"
+#echo '
+#
+#
+# 0
+# 0
+# 2
+# yes
+#
+# right
+# no
+#
+#
+#
+# DSI-1
+# unknown
+# unknown
+# unknown
+#
+#
+# 1600
+# 2560
+# 104.000
+#
+#
+#
+#
+#
+#' > "$rootdir/etc/skel/.config/monitors.xml"
+#chroot "$rootdir" bash -c 'cp /etc/skel/.config/monitors.xml ~gdm/.config/'
+#chroot "$rootdir" bash -c 'chown gdm: ~gdm/.config/'
# ---
# Restore resolv.conf symlink
diff --git a/buildFedoraWorkstation.sh b/buildFedoraWorkstation.sh
index 024dc07..94cfec9 100755
--- a/buildFedoraWorkstation.sh
+++ b/buildFedoraWorkstation.sh
@@ -93,37 +93,37 @@ cp ./drop/zram-generator.conf "$rootdir/etc/systemd/zram-generator.conf"
# +++ Rotate gdm
log "Configuring gdm and gnome"
-mkdir -p "$rootdir/etc/skel/.config"
-echo '
-
-
- 0
- 0
- 2
- yes
-
- right
- no
-
-
-
- DSI-1
- unknown
- unknown
- unknown
-
-
- 1600
- 2560
- 104.000
-
-
-
-
-
-' > "$rootdir/etc/skel/.config/monitors.xml"
-chroot "$rootdir" bash -c 'cp /etc/skel/.config/monitors.xml ~gdm/.config/'
-chroot "$rootdir" bash -c 'chown gdm: ~gdm/.config/'
+#mkdir -p "$rootdir/etc/skel/.config"
+#echo '
+#
+#
+# 0
+# 0
+# 2
+# yes
+#
+# right
+# no
+#
+#
+#
+# DSI-1
+# unknown
+# unknown
+# unknown
+#
+#
+# 1600
+# 2560
+# 104.000
+#
+#
+#
+#
+#
+#' > "$rootdir/etc/skel/.config/monitors.xml"
+#chroot "$rootdir" bash -c 'cp /etc/skel/.config/monitors.xml ~gdm/.config/'
+#chroot "$rootdir" bash -c 'chown gdm: ~gdm/.config/'
# ---
# Finish image
diff --git a/buildUbuntuDesktop.sh b/buildUbuntuDesktop.sh
index fcf1ff5..246c97a 100755
--- a/buildUbuntuDesktop.sh
+++ b/buildUbuntuDesktop.sh
@@ -21,12 +21,13 @@ IMAGE_NAME="UbuntuDesktop_$VERSION"
# Begin script
log "Start creating image: $IMAGE_NAME"
-create_image "$IMAGE_NAME"
+create_image "$IMAGE_NAME" 20
rootdir="$(mount_image "$IMAGE_NAME")"
# Fetch base system
log "Fetching base system"
-debootstrap --arch arm64 "$VERSION" "$rootdir" http://ports.ubuntu.com/ubuntu-ports || {
+debootstrap --arch arm64 --components=main,universe \
+ "$VERSION" "$rootdir" http://ports.ubuntu.com/ubuntu-ports || {
detach_chroot "$rootdir"
umount_image "$rootdir"
rm "$IMAGE_NAME"
@@ -48,7 +49,7 @@ echo "127.0.0.1 localhost
log "Updating system and installing needed packages"
chroot "$rootdir" apt update
chroot "$rootdir" apt upgrade -y
-chroot "$rootdir" apt install -y ubuntu-desktop bash-completion sudo ssh nano rust-zram-generator
+chroot "$rootdir" apt install -y ubuntu-desktop bash-completion sudo ssh nano systemd-zram-generator
# Install nabu specific packages
log "Installing nabu kernel, modules, firmwares and userspace daemons"
@@ -73,37 +74,37 @@ cp ./drop/zram-generator.conf "$rootdir/etc/systemd/zram-generator.conf"
# +++ Rotate gdm
log "Configuring gdm and gnome"
-mkdir -p "$rootdir/etc/skel/.config"
-echo '
-
-
- 0
- 0
- 2
- yes
-
- right
- no
-
-
-
- DSI-1
- unknown
- unknown
- unknown
-
-
- 1600
- 2560
- 104.000
-
-
-
-
-
-' > "$rootdir/etc/skel/.config/monitors.xml"
-chroot "$rootdir" bash -c 'cp /etc/skel/.config/monitors.xml ~gdm/.config/'
-chroot "$rootdir" bash -c 'chown gdm: ~gdm/.config/'
+#mkdir -p "$rootdir/etc/skel/.config"
+#echo '
+#
+#
+# 0
+# 0
+# 2
+# yes
+#
+# right
+# no
+#
+#
+#
+# DSI-1
+# unknown
+# unknown
+# unknown
+#
+#
+# 1600
+# 2560
+# 104.000
+#
+#
+#
+#
+#
+#' > "$rootdir/etc/skel/.config/monitors.xml"
+#chroot "$rootdir" bash -c 'cp /etc/skel/.config/monitors.xml ~gdm/.config/'
+#chroot "$rootdir" bash -c 'chown gdm: ~gdm/.config/'
# ---
# Finish image
diff --git a/packages/linux-nabu-6.1.10.2b004e6b55f8-1-aarch64.deb b/packages/linux-nabu-6.1.10.2b004e6b55f8-1-aarch64.deb
deleted file mode 100644
index a5bbc66..0000000
Binary files a/packages/linux-nabu-6.1.10.2b004e6b55f8-1-aarch64.deb and /dev/null differ
diff --git a/packages/linux-nabu-6.1.10.2b004e6b55f8-1-aarch64.pkg.tar.zst b/packages/linux-nabu-6.1.10.2b004e6b55f8-1-aarch64.pkg.tar.zst
deleted file mode 100644
index 1bf0269..0000000
Binary files a/packages/linux-nabu-6.1.10.2b004e6b55f8-1-aarch64.pkg.tar.zst and /dev/null differ
diff --git a/packages/linux-nabu-6.1.10.2b004e6b55f8-1.aarch64.rpm b/packages/linux-nabu-6.1.10.2b004e6b55f8-1.aarch64.rpm
deleted file mode 100644
index 855d20b..0000000
Binary files a/packages/linux-nabu-6.1.10.2b004e6b55f8-1.aarch64.rpm and /dev/null differ
diff --git a/packages/linux-nabu-firmware-1.0.0-1-aarch64.deb b/packages/linux-nabu-firmware-1.0.0-1-aarch64.deb
deleted file mode 100644
index f654416..0000000
Binary files a/packages/linux-nabu-firmware-1.0.0-1-aarch64.deb and /dev/null differ
diff --git a/packages/linux-nabu-firmware-1.0.0-1-aarch64.pkg.tar.zst b/packages/linux-nabu-firmware-1.0.0-1-aarch64.pkg.tar.zst
deleted file mode 100644
index e95f096..0000000
Binary files a/packages/linux-nabu-firmware-1.0.0-1-aarch64.pkg.tar.zst and /dev/null differ
diff --git a/packages/linux-nabu-firmware-1.0.0-1.aarch64.rpm b/packages/linux-nabu-firmware-1.0.0-1.aarch64.rpm
deleted file mode 100644
index 8e75260..0000000
Binary files a/packages/linux-nabu-firmware-1.0.0-1.aarch64.rpm and /dev/null differ